def briggs(a,e):
    n = 0 # indice du premier terme de la suite (u)
    while abs(a - 1) > e:
        a = a ** 0.5 # terme suivant dans la suite (u)
        n = n + 1    # rang de ce terme

    # à la sortie de la boucle, n vaut p

    return (a - 1) * (2**n)
